%define majver %(echo %version | cut -d. -f1-2)
Name:          gnome-terminal
Version:       3.48.1
Release:       1mamba
Summary:       Gnome Terminal application
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://gitlab.gnome.org/GNOME/gnome-terminal.git/%{version}/gnome-terminal-%{version}.tar.bz2
#Source:        https://download.gnome.org/sources/gnome-terminal/%{majver}/gnome-terminal-%{version}.tar.xz
Patch0:        gnome-terminal-2.26.3-fix_include_path.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libnautilus-extension-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libvte-devel
## AUTOBUILDREQ-END
BuildRequires: libscrollkeeper-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: appdata-tools
BuildRequires: gnome-shell

%description
Gnome Terminal application.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --with-gnome

rm -rf %{buildroot}/var/scrollkeeper

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gnome-terminal
%{_userunitdir}/gnome-terminal-server.service
%{_libdir}/nautilus/extensions-4/libterminal-nautilus.so
%dir %{_libdir}/gnome-terminal
%{_libdir}/gnome-terminal/gschemas.compiled
%{_libexecdir}/gnome-terminal-*
%{_datadir}/applications/org.gnome.Terminal*.desktop
%{_datadir}/xdg-terminals/org.gnome.Terminal.desktop
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini
%{_datadir}/metainfo/org.gnome.Terminal.*.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Terminal*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Terminal*.svg
%{_mandir}/man1/gnome-terminal.1*
%doc COPYING

%changelog
* Sun Apr 16 2023 Automatic Build System <autodist@mambasoft.it> 3.48.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 3.48.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 3.46.8-1mamba
- automatic version update by autodist

* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 3.46.7-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 3.46.6-1mamba
- automatic version update by autodist

* Fri Nov 18 2022 Automatic Build System <autodist@mambasoft.it> 3.46.5-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.46.4-1mamba
- update to 3.46.4

* Sun May 29 2022 Automatic Build System <autodist@mambasoft.it> 3.44.1-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 3.44.0-1mamba
- automatic version update by autodist

* Sun Dec 05 2021 Automatic Build System <autodist@mambasoft.it> 3.42.2-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 3.42.1-1mamba
- automatic version update by autodist

* Sun Oct 17 2021 Automatic Build System <autodist@mambasoft.it> 3.42.0-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Automatic Build System <autodist@mambasoft.it> 3.40.3-1mamba
- automatic version update by autodist

* Mon Jun 07 2021 Automatic Build System <autodist@mambasoft.it> 3.40.2-1mamba
- automatic version update by autodist

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 3.40.1-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 3.40.0-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Automatic Build System <autodist@mambasoft.it> 3.38.3-1mamba
- automatic version update by autodist

* Tue Jul 28 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Sun Apr 12 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1.1-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0.1-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Sun Jun 12 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Sun Dec 13 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Sun Aug 31 2014 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0.1-1mamba
- update to 3.4.0.1

* Mon Oct 17 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update to 3.0.3.0 by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Tue Oct 26 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Fri Oct 23 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Mon Jul 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3.1-1mamba
- package created by autospec
